#pragma once
#include <render/integrator.h>

struct RndSampler;
struct Ray;
struct SceneAD;

struct Mask : UnidirectionalPathTracer
{
    Spectrum Li(const Scene &scene, const Ray &ray, RadianceQueryRecord &rRec) const override;
    void LiAD(SceneAD &sceneAD, const Ray &ray, RadianceQueryRecord &rRec, const Spectrum &d_res) const override {assert(false);}

    std::string getName() const override { return "Mask"; }
};
